com.tibbo.aggregate.common.datatable.converter

## Class DefaultFormatConverter<T>

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter<T>
  - - com.tibbo.aggregate.common.datatable.converter.DefaultFormatConverter<T>

- All Implemented Interfaces:
    FormatConverter<T>

      public class DefaultFormatConverter<T>
      extends AbstractFormatConverter<T>

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `FIELDS_TO_SKIP, VF_IS_NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFormatConverter(java.lang.Class valueClass, TableFormat format)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstructorField(java.lang.String field)`
    `T` | `convertToBean(java.lang.Object value, T originalValue)`
    `java.lang.Object` | `convertToTable(T value, TableFormat format)`
    `FieldFormat` | `createFieldFormat(java.lang.String name)`
    `T` | `instantiate(DataRecord source)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `addFiledToNullableFormat, clone, convertToTable, deriveNullable, getFormat, getValueClass, removeFiledFromNullableFormat, setValueClass, simpleToTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFormatConverter

          public DefaultFormatConverter(java.lang.Class valueClass,
                                        TableFormat format)

  - ### Method Detail

    - #### convertToBean

          public T convertToBean(java.lang.Object value,
                                 T originalValue)

    - #### convertToTable

          public java.lang.Object convertToTable(T value,
                                                 TableFormat format)

    - #### createFieldFormat

          public FieldFormat createFieldFormat(java.lang.String name)

      Specified by:
        `createFieldFormat` in interface `FormatConverter<T>`
      Overrides:
        `createFieldFormat` in class `AbstractFormatConverter<T>`

    - #### addConstructorField

          public void addConstructorField(java.lang.String field)

    - #### instantiate

          public T instantiate(DataRecord source)
                        throws java.lang.InstantiationException

      Specified by:
        `instantiate` in interface `FormatConverter<T>`
      Overrides:
        `instantiate` in class `AbstractFormatConverter<T>`
      Throws:
        `java.lang.InstantiationException`